Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.management.relation
Class InvalidRelationTypeException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              javax.management.JMException
                  javax.management.relation.RelationException
                      javax.management.relation.InvalidRelationTypeException

All Implemented Interfaces:
  Serializable

    public class InvalidRelationTypeException

extends RelationException

Invalid relation type. This exception is raised when, in a relation type, there is already a relation type with that name, or the same name has been used for two different role infos, or no role info provided, or one null role info provided.

Since:
  1.5
See Also:
  Serialized Form

Constructor Summary
`InvalidRelationTypeException()` Default constructor, no message put in exception.
`InvalidRelationTypeException(String message)` Constructor with given message put in exception.

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### InvalidRelationTypeException

    public InvalidRelationTypeException()

  Default constructor, no message put in exception.

### InvalidRelationTypeException

    public InvalidRelationTypeException(String message)

  Constructor with given message put in exception.

  Parameters:
    `message` - the detail message.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2004 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.